%define upstream_name Horde_Argv
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	1.0.5
Release:     	%mkrel 2
Summary:    	Horde command-line argument parsing packag
License:    	BSD
Group:       	Networking/Mail
Url:         	http://pear.horde.org/package/%{upstream_name}
Source0:    	Source0: http://pear.horde.org/get/%{upstream_name}-%{version}.tgz
BuildArch:  	noarch
Requires:    	php-pear
Requires:    	php-pear-Horde_Exception <= 2.0.0
Requires:    	php-pear-Horde_Translation <= 2.0.0
Conflicts:   	php-pear-Horde_Exception = 2.0.0
Conflicts:   	php-pear-Horde_Translation = 2.0.0
Requires:     	php-pear-channel-horde
BuildRequires:	php-pear
BuildRequires: 	php-pear-channel-horde
Provides:      	php-pear-Horde_Argv = %{version}
Obsoletes:	horde-argv	

%description
This package provides classes for parsing command line arguments with
various actions, providing help, grouping options, and more.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .

# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Horde_Argv.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Horde_Argv.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.horde.org/Horde_Argv
fi

%files
%defattr(-,root,root)
%doc docs/Horde_Argv/COPYING
%{peardir}/*
%{xmldir}/Horde_Argv.xml


%changelog

* Fri Dec 30 2011 spuhler <spuhler> 1.0.5-2.mga2
+ Revision: 189091
- removed not Requires/Conflicts php-pear-Horde_Date

* Fri Dec 02 2011 spuhler <spuhler> 1.0.5-1.mga2
+ Revision: 175049
- upgrade to 1.0.5

* Sat Nov 05 2011 spuhler <spuhler> 1.0.4-1.mga2
+ Revision: 163946
- upgrade to 1.0.4
- imported package php-pear-Horde_Argv

